/*

Generation Ships.js

Script for randomly spawning Generation Ships.


Oolite
Copyright © 2003-2011 Giles C Williams and contributors

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
MA 02110-1301, USA.


Generation Ships.oxp
Copyright © 2006-2011 "Draco_Caeles" & "Commander McLane"

This work is licensed under the Creative Commons
Attribution-Noncommercial-Share Alike 3.0 Unported License.

To view a copy of this license, visit
http://creativecommons.org/licenses/by-nc-sa/3.0/ or send a letter
to Creative Commons, 171 Second Street, Suite 300, San Francisco,
California, 94105, USA.

*/

"use strict";

this.name			= "Generation Ships";
this.description    = "Script for randomly spawning Generation Ships";
this.author			= "Commander McLane";
this.copyright		= "© 2011 Commander McLane";
this.license		= "CC-BY-NC-SA 3.0";
this.version		= "1.4.0";

//-------------------------------------------------------------------------------------------------------------
this.systemWillPopulate = function() {

	if(!system.isInterstellarSpace) return;

	var position = Verctor3D(0, 0, 0);
	system.setPopulator("gen ship", {
		callback: function(pos) {
			if(Math.random() < 0.01) system.addShips("generationship-1", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-2", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-3", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-4", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-5", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-6", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-7", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-8", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-9", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-10", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-11", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-12", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-13", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-14", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-15", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-16", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-17", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-18", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-19", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-20", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-21", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-22", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-23", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-24", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-25", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-26", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-27", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-28", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-29", 1, pos, 250000);
			if(Math.random() < 0.01) system.addShips("generationship-30", 1, pos, 250000);
		}.bind(this),
		location:"COORDINATES",
		coordinates:position});

}

//-------------------------------------------------------------------------------------------------------------
this.missionScreenOpportunity = function() {

	if (player.ship.docked && player.ship.dockedStation.isMainStation && missionVariables.genship == "PLAYER_ATTACKED") {
		// build message
		var msg = expandMissionText("genship_penalty");
		mission.runScreen({title:"Galactic Court", message:"---INCOMING MESSAGE\n\n" + msg + "\n\n---MESSAGE ENDS", model:"generationship"});

		player.bounty += 51;
		player.credits -= 25000;
		if (player.credits < 0) player.credits = 0;
		delete missionVariables.genship;

		// send as email message, if system is installed.
		var w = worldScripts.EmailSystem;
		if (w) {
			w.$createEmail({
				sender:"Galactic Court",
				subject:"Generation Ship Penalty",
				date:global.clock.seconds,
				message:msg
			});
		}
	}

}